.main-product {
    background-image: url("./assets/banner.png");
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--sub-color);
    padding: 100px 0;
}

.main-product>.main-product-title {
    text-transform: uppercase;
    font-size: 48px;
    margin: 0 15px;
}

.main-product>.main-product-desc {
    margin: 18px 0 36px;
}

.main-product>.main-product-link {
    text-align: center;
    cursor: pointer;
}

.product-link-path {
    color: inherit;
}

.product-link-icon,
.product-link-icon>img {
    color: inherit;
    width: 12px;
    height: 12px;
}

.product-link-resources {
    color: #ff4e10;
}

#main-product-details {
    padding: 35px 20vw;
    background-color: var(--bg-color);
    color: var(--color);
}

.product-details-title {
    font-size: 20px;
    width: fit-content;
    position: relative;
    margin-bottom: 20px;
    color: inherit;
}

.product-details-title::after {
    content: "";
    position: absolute;
    bottom: -15px;
    left: 0;
    width: 50%;
    height: 3px;
    background-color: #ff4e10;
}

.product-details-group {
    display: flex;
    align-items: flex-end;
    column-gap: 50px;
    width: 100%;
    transform: translate(0, -30px);
}

.product-details-preview {
    flex: 1;
}

.product-details-info {
    line-height: 24px;
    letter-spacing: 1px;
    text-align: justify;
    font-size: 14px;
    color: inherit;
}

.product-details-preview>img {
    width: 100%;
    padding: 0 50px;
    height: auto;
    display: block;
}

#main-product-features {
    padding: 35px 20vw 150px;
    background-color: var(--sub-bg-color);
    display: flex;
    justify-content: center;
    column-gap: 35px;
}

#main-product-features>section {
    flex: 1;
    color: var(--color);
}

.product-features-icon-wrapper {
    width: 50%;
    padding: 25px;
    position: relative;
    margin: 0 auto;
}

.product-features-icon-wrapper::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    border: 2px solid #ff4e10;
    transform: translate(-50%, -50%);
    border-radius: 99999px;
}

.product-features-icon {
    width: 100%;
    height: auto;
    display: block;
}

#main-product-features h4 {
    text-align: center;
    line-height: 20px;
    letter-spacing: 1px;
    margin: 25px 0;
    color: var(--color);
}

.feature-go-to-top {
    outline: none;
    background: none;
    border: 1px solid #ff4e10;
    padding: 10px;
    position: fixed;
    bottom: 50px;
    right: 25px;
    cursor: pointer;
}

.feature-go-to-top:hover {
    background-color: #ff4e10;
    transition: all .5s ease;
}

.feature-go-to-top img {
    width: 16px;
    height: 16px;
    transition: all .5s ease;
}

.feature-go-to-top:hover>img {
    filter: brightness(0) invert(1);
}

.feature-go-to-top {
    display: none;
}

.feature-toggle-theme {
    outline: none;
    background: none;
    border: none;
    border-radius: 99999px;
    background-color: #ff4e10;
    padding: 10px;
    position: fixed;
    bottom: 50px;
    left: 25px;
    cursor: pointer;
    width: calc(24px + 10px * 2);
    height: calc(24px + 10px * 2);
}

.feature-toggle-theme img {
    width: 100%;
    height: auto;
}

.feature-toggle-theme>img {
    filter: brightness(0) invert(1);
}

footer {
    padding: 120px 20vw 50px;
    background-image: url("./assets/footer.jpg");
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

footer>section {
    flex: 1 1 calc(100% / 4);
    column-gap: 25px;
}

footer>section>h3 {
    font-size: 16px;
    text-transform: uppercase;
    color: #fff;
    position: relative;
    margin-bottom: 35px;
}

footer>section>h3::after {
    content: "";
    position: absolute;
    top: calc(100% + 10px);
    left: 0;
    width: 50px;
    height: 1px;
    background-color: #ff4e10;
}

.footer-resources {
    flex: 2 1 calc(100% / 2);
}

.footer-resources-list {
    display: flex;
    flex-wrap: wrap;
}

.footer-resources-list>details {
    flex: 1 1 50%;
    color: #fff;
    margin: 15px 0;
    font-size: 14px;
    min-width: 0;
    width: 100%;
}

.footer-resources-list>details>summary {
    list-style: none;
    cursor: pointer;
}

.footer-resources-list>details>summary:hover {
    color: #ff6c39;
}

.footer-resources-list>details>summary+.footer-resources-sublist {
    display: none;
    overflow: hidden;
    list-style: none;
}

.footer-resources-list>details[open]>summary+.footer-resources-sublist {
    display: block;
    animation: slideDown 0.4s ease-out forwards;
}

.footer-resources-sublist li {
    cursor: pointer;
    padding: 20px 0 0 25px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    width: 100%;
}

.footer-resources-sublist li:hover {
    color: #ff4e10;
}

@keyframes slideDown {
    0% {
        max-height: 0;
        opacity: 0;
        transform: translateY(-8px);
    }

    100% {
        max-height: 350px;
        opacity: 1;
        transform: translateY(0);
    }
}

.footer-connections {}

.footer-connections-list {
    display: flex;
}

.footer-connections-list a {
    width: 36px;
    height: 36px;
    margin-right: 50px;
}

.footer-connections-list a>img {
    width: 100%;
    height: auto;
}

.footer-contacts {}

.footer-contacts-form {
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
}

.footer-contacts-form>#email {
    flex: 1;
    outline: none;
    border: 1px solid #ff6c39;
    border-radius: 8px 0 0 8px;
    background-color: transparent;
    color: #fff;
    max-width: 320px;
    height: 100%;
    padding: 12px 16px;
    font-size: 14px;
}

.footer-contacts-form:hover>#email {
    border-color: #ff4e10;
}

.footer-contacts-form>#email:focus {
    border-color: #ff4e10;
    box-shadow:
        0 0 10px rgba(0, 255, 255, 0.5),
        0 0 30px rgba(0, 255, 255, 0.3),
        0 0 80px rgba(0, 255, 255, 0.1);
}

.footer-contacts-form button {
    width: 60px;
    height: 100%;
    outline: none;
    border: none;
    border-radius: 0 8px 8px 0;
    background-color: #ff6c39;
}

.footer-contacts-form:hover>button {
    background-color: #ff4e10;
}

.footer-contacts-form button img {
    width: 40px;
}

.footer-copyright {
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 15px;
    margin-top: 35px;
}

.footer-copyright>img {
    filter: brightness(0) invert(1);
    width: 120px;
}

.footer-copyright>span {
    font-size: 14px;
}

@media screen and (max-width: 768px) {
    .main-product {
        padding: 50px 0;
    }

    .main-product>.main-product-title {
        font-size: 32px;
        text-align: center;
    }

    .main-product>.main-product-desc {
        font-size: 14px;
        margin: 12px 0 24px;
    }

    .main-product>.main-product-link {
        font-size: 12px;
    }

    #main-product-details {
        padding: 15px 5vw;
    }

    .product-details-title {
        font-size: 18px;
    }

    .product-details-title::after {
        bottom: -10px;
    }

    .product-details-group {
        align-items: center;
        flex-direction: column;
        transform: none;
    }

    .product-details-preview {
        margin: 10px 0;
    }

    .product-details-preview>img {
        padding: 0;
    }

    #main-product-features {
        padding: 15px 5vw 50px;
        flex-direction: column;
        row-gap: 35px;
    }

    .product-features-icon-wrapper {
        width: 25%;
        padding: 15px;
    }

    #main-product-features h4 {
        margin: 15px 0;
        font-size: 14px;
    }

    #main-product-features .product-details-info {
        font-size: 12px;
    }

    footer {
        padding: 60px 5vw 50px;
        flex-direction: column;
        overflow: hidden;
    }

    footer>section {
        flex: 1;
        margin-bottom: 25px;
    }

    footer>section>h3 {
        margin-bottom: 20px;
    }

    footer>section>h3::after {
        width: 15%;
    }

    .footer-resources-list {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        width: calc(100vw - 2 * 5vw);
    }

    .footer-resources-list>details {
        flex: 1;
        margin: 8px 0 0 0;
    }

    .footer-resources-list>details>summary+.footer-resources-sublist {
        margin-bottom: 5px;
    }

    .footer-resources-sublist li {
        padding: 10px 0 0 15px;
    }

    .footer-copyright {
        flex-direction: row-reverse;
    }
}